export declare class GenerateFile {
    private server;
    private generateFileQueue;
    constructor(server: NodeJS.ViteReactAutoConfigServer);
    addGenerateFileToQueue(opt: typeof GenerateFile['prototype']['generateFileQueue'][number]): this;
    readTplFile(...filePath: string[]): string;
    renderTpl(content: string, view: Record<string, any>): string;
    outputFile(f: string, c: string): Promise<void>;
    runGenerateFileQueue(): Promise<void>;
    removeTmpFile(path: string): Promise<true | void>;
    writeFile({ path, content, isPrettier, }: {
        path: string;
        content: string;
        isPrettier?: boolean;
        isImmediatelyWrite?: boolean;
    }): Promise<boolean>;
}
